layers(5).
width(0,9).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
width(1,9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
width(2,9).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
width(3,9).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
in_layer(3,n33).
in_layer(3,n34).
in_layer(3,n35).
in_layer(3,n36).
width(4,9).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
in_layer(4,n41).
in_layer(4,n42).
in_layer(4,n43).
in_layer(4,n44).
in_layer(4,n45).
edge(n15,n22).
edge(n1,n16).
edge(n36,n44).
edge(n28,n37).
edge(n3,n13).
edge(n18,n20).
edge(n9,n10).
edge(n21,n31).
edge(n10,n19).
edge(n29,n41).
edge(n17,n24).
edge(n14,n26).
edge(n36,n37).
edge(n19,n30).
edge(n13,n26).
edge(n1,n17).
edge(n10,n22).
edge(n13,n23).
edge(n28,n42).
edge(n19,n33).
edge(n26,n33).
edge(n21,n34).
edge(n7,n16).
edge(n17,n22).
edge(n8,n12).
edge(n27,n30).
edge(n14,n20).
edge(n22,n30).
edge(n8,n11).
edge(n9,n15).
edge(n35,n38).
edge(n8,n13).
edge(n32,n37).
edge(n21,n30).
edge(n36,n38).
edge(n26,n36).
edge(n21,n35).
edge(n32,n38).
edge(n9,n16).
edge(n25,n30).
edge(n24,n36).
edge(n10,n27).
edge(n17,n27).
edge(n15,n26).
edge(n7,n12).
edge(n5,n16).
edge(n10,n21).
edge(n34,n41).
edge(n31,n45).
edge(n16,n27).
edge(n21,n33).
edge(n23,n36).
edge(n7,n17).
edge(n8,n15).
edge(n14,n23).
edge(n34,n42).
edge(n34,n45).
edge(n24,n35).
edge(n23,n28).
edge(n14,n27).
edge(n8,n17).
edge(n31,n40).
edge(n10,n24).
edge(n33,n37).
